### File

`packages/eui/packages/components-next/src/lib/base.component.ts`

### Example

### Metadata

selector | `eui-base`

### Index

###### Properties
_euiAccent _euiCompact _euiDanger _euiDisabled _euiInfo _euiOutline _euiPrimary _euiResponsive _euiRounded _euiSecondary _euiSize2XL _euiSize2XS _euiSize3XL _euiSize4XL _euiSize5XL _euiSizeL _euiSizeM _euiSizeS _euiSizeXL _euiSizeXS _euiSuccess _euiWarning
###### Methods
getCssClasses
###### Inputs
e2eAttr euiAccent euiCompact euiDanger euiDisabled euiInfo euiOutline euiPrimary euiResponsive euiRounded euiSecondary euiSize2XL euiSize2XS euiSize3XL euiSize4XL euiSize5XL euiSizeL euiSizeM euiSizeS euiSizeXL euiSizeXS euiSuccess euiWarning styleClass
###### Accessors
euiPrimary euiSecondary euiInfo euiSuccess euiWarning euiDanger euiAccent euiSize2XS euiSizeXS euiSizeS euiSizeM euiSizeL euiSizeXL euiSize2XL euiSize3XL euiSize4XL euiSize5XL euiRounded euiOutline euiCompact euiDisabled euiResponsive

### Constructor

`constructor()`

### Inputs

e2eAttr

euiAccent

euiCompact

euiDanger

euiDisabled

euiInfo

euiOutline

euiPrimary

euiResponsive

euiRounded

euiSecondary

euiSize2XL

euiSize2XS

euiSize3XL

euiSize4XL

euiSize5XL

euiSizeL

euiSizeM

euiSizeS

euiSizeXL

euiSizeXS

euiSuccess

euiWarning

styleClass
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `any`

### Properties

_euiAccent
Default value : `false`

_euiCompact
Default value : `false`

_euiDanger
Default value : `false`

_euiDisabled
Default value : `false`

_euiInfo
Default value : `false`

_euiOutline
Default value : `false`

_euiPrimary
Default value : `false`

_euiResponsive
Default value : `false`

_euiRounded
Default value : `false`

_euiSecondary
Default value : `false`

_euiSize2XL
Default value : `false`

_euiSize2XS
Default value : `false`

_euiSize3XL
Default value : `false`

_euiSize4XL
Default value : `false`

_euiSize5XL
Default value : `false`

_euiSizeL
Default value : `false`

_euiSizeM
Default value : `false`

_euiSizeS
Default value : `false`

_euiSizeXL
Default value : `false`

_euiSizeXS
Default value : `false`

_euiSuccess
Default value : `false`

_euiWarning
Default value : `false`

### Accessors

euiPrimary
set `euiPrimary(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSecondary
set `euiSecondary(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiInfo
set `euiInfo(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSuccess
set `euiSuccess(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiWarning
set `euiWarning(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiDanger
set `euiDanger(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiAccent
set `euiAccent(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSize2XS
set `euiSize2XS(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSizeXS
set `euiSizeXS(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSizeS
set `euiSizeS(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSizeM
set `euiSizeM(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSizeL
set `euiSizeL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSizeXL
set `euiSizeXL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSize2XL
set `euiSize2XL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSize3XL
set `euiSize3XL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSize4XL
set `euiSize4XL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiSize5XL
set `euiSize5XL(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiRounded
set `euiRounded(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiOutline
set `euiOutline(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiCompact
set `euiCompact(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiDisabled
set `euiDisabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiResponsive
set `euiResponsive(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""